Index: trunk/nv/interface/interpolation_template.hh
===================================================================
--- trunk/nv/interface/interpolation_template.hh	(revision 368)
+++ trunk/nv/interface/interpolation_template.hh	(revision 374)
@@ -19,5 +19,5 @@
 
 	template < typename KEY, animation_slot SLOT > 
-	void interpolate_slot( KEY& key, const KEY& k1, const KEY& k2, float factor, const std::true_type& )
+	void interpolate_slot( KEY& key, const KEY& k1, const KEY& k2, float factor, const true_type& )
 	{
 		key_slot_info< KEY, SLOT >::interpolate( key, k1, k2, factor );
@@ -25,5 +25,5 @@
 
 	template < typename KEY, animation_slot SLOT > 
-	void interpolate_slot( KEY&, const KEY&, const KEY&, float, const std::false_type& )
+	void interpolate_slot( KEY&, const KEY&, const KEY&, float, const false_type& )
 	{
 	}
@@ -32,8 +32,8 @@
 	void interpolate_key( KEY& key, const KEY& k1, const KEY& k2, float factor )
 	{
-		interpolate_slot< KEY, animation_slot::POSITION >( key, k1, k2, factor, std::integral_constant< bool, key_has_slot< KEY, animation_slot::POSITION >::value >() );
-		interpolate_slot< KEY, animation_slot::ROTATION >( key, k1, k2, factor, std::integral_constant< bool, key_has_slot< KEY, animation_slot::ROTATION >::value >() );
-		interpolate_slot< KEY, animation_slot::SCALE >( key, k1, k2, factor, std::integral_constant< bool, key_has_slot< KEY, animation_slot::SCALE >::value >() );
-		interpolate_slot< KEY, animation_slot::TFORM >( key, k1, k2, factor, std::integral_constant< bool, key_has_slot< KEY, animation_slot::TFORM >::value >() );
+		interpolate_slot< KEY, animation_slot::POSITION >( key, k1, k2, factor, integral_constant< bool, key_has_slot< KEY, animation_slot::POSITION >::value >() );
+		interpolate_slot< KEY, animation_slot::ROTATION >( key, k1, k2, factor, integral_constant< bool, key_has_slot< KEY, animation_slot::ROTATION >::value >() );
+		interpolate_slot< KEY, animation_slot::SCALE >( key, k1, k2, factor, integral_constant< bool, key_has_slot< KEY, animation_slot::SCALE >::value >() );
+		interpolate_slot< KEY, animation_slot::TFORM >( key, k1, k2, factor, integral_constant< bool, key_has_slot< KEY, animation_slot::TFORM >::value >() );
 	}
 
@@ -85,42 +85,42 @@
 
 		template < typename KEY >
-		mat4 extract_matrix_prs( const KEY&, const std::false_type&, const std::false_type&, const std::false_type& )
+		mat4 extract_matrix_prs( const KEY&, const false_type&, const false_type&, const false_type& )
 		{ return mat4(); }
 		template < typename KEY >
-		mat4 extract_matrix_prs( const KEY& k, const std::true_type&, const std::false_type&, const std::false_type& )
+		mat4 extract_matrix_prs( const KEY& k, const true_type&, const false_type&, const false_type& )
 		{ return extract_matrix_p_impl(k); }
 		template < typename KEY >
-		mat4 extract_matrix_prs( const KEY& k, const std::false_type&, const std::true_type&, const std::false_type& )
+		mat4 extract_matrix_prs( const KEY& k, const false_type&, const true_type&, const false_type& )
 		{ return extract_matrix_r_impl(k); }
 		template < typename KEY >
-		mat4 extract_matrix_prs( const KEY& k, const std::false_type&, const std::false_type&, const std::true_type& )
+		mat4 extract_matrix_prs( const KEY& k, const false_type&, const false_type&, const true_type& )
 		{ return extract_matrix_s_impl(k); }
 		template < typename KEY >
-		mat4 extract_matrix_prs( const KEY& k, const std::true_type&, const std::true_type&, const std::false_type& )
+		mat4 extract_matrix_prs( const KEY& k, const true_type&, const true_type&, const false_type& )
 		{ return extract_matrix_pr_impl(k); }
 		template < typename KEY >
-		mat4 extract_matrix_prs( const KEY& k, const std::false_type&, const std::true_type&, const std::true_type& )
+		mat4 extract_matrix_prs( const KEY& k, const false_type&, const true_type&, const true_type& )
 		{ return extract_matrix_rs_impl(k); }
 		template < typename KEY >
-		mat4 extract_matrix_prs( const KEY& k, const std::true_type&, const std::false_type&, const std::true_type& )
+		mat4 extract_matrix_prs( const KEY& k, const true_type&, const false_type&, const true_type& )
 		{ return extract_matrix_ps_impl(k); }
 		template < typename KEY >
-		mat4 extract_matrix_prs( const KEY& k, const std::true_type&, const std::true_type&, const std::true_type& )
+		mat4 extract_matrix_prs( const KEY& k, const true_type&, const true_type&, const true_type& )
 		{ return extract_matrix_prs_impl(k); }
 
 
 		template < typename KEY >
-		transform extract_transform_pr_impl( const KEY&, const std::false_type&, const std::false_type& ) { return transform(); }
+		transform extract_transform_pr_impl( const KEY&, const false_type&, const false_type& ) { return transform(); }
 		template < typename KEY >
-		transform extract_transform_pr_impl( const KEY& k, const std::true_type&, const std::true_type& ) { return transform( k.position, k.rotation ); }
+		transform extract_transform_pr_impl( const KEY& k, const true_type&, const true_type& ) { return transform( k.position, k.rotation ); }
 		template < typename KEY >
-		transform extract_transform_pr_impl( const KEY& k, const std::true_type&, const std::false_type& ) { return transform( k.position ); }
+		transform extract_transform_pr_impl( const KEY& k, const true_type&, const false_type& ) { return transform( k.position ); }
 		template < typename KEY >
-		transform extract_transform_pr_impl( const KEY& k, const std::false_type&, const std::true_type& ) { return transform( k.rotation ); }
+		transform extract_transform_pr_impl( const KEY& k, const false_type&, const true_type& ) { return transform( k.rotation ); }
 
 
 
 		template < typename KEY >
-		mat4 extract_matrix_impl( const KEY& k, const std::true_type& )
+		mat4 extract_matrix_impl( const KEY& k, const true_type& )
 		{
 			static_assert( key_has_slot< KEY, animation_slot::POSITION >::value == false, "key!");
@@ -131,16 +131,16 @@
 
 		template < typename KEY >
-		mat4 extract_matrix_impl( const KEY& k, const std::false_type& )
+		mat4 extract_matrix_impl( const KEY& k, const false_type& )
 		{
 			static_assert( key_has_slot< KEY, animation_slot::TFORM >::value == false, "key!");
 			return extract_matrix_prs( k,
-				std::integral_constant< bool, key_has_slot< KEY, animation_slot::POSITION >::value >(),
-				std::integral_constant< bool, key_has_slot< KEY, animation_slot::ROTATION >::value >(),
-				std::integral_constant< bool, key_has_slot< KEY, animation_slot::SCALE >::value >()
+				integral_constant< bool, key_has_slot< KEY, animation_slot::POSITION >::value >(),
+				integral_constant< bool, key_has_slot< KEY, animation_slot::ROTATION >::value >(),
+				integral_constant< bool, key_has_slot< KEY, animation_slot::SCALE >::value >()
 				);
 		}
 
 		template < typename KEY >
-		transform extract_transform_impl( const KEY& k, const std::true_type& )
+		transform extract_transform_impl( const KEY& k, const true_type& )
 		{
 			static_assert( key_has_slot< KEY, animation_slot::POSITION >::value == false, "key!");
@@ -151,11 +151,11 @@
 
 		template < typename KEY >
-		transform extract_transform_impl( const KEY& k, const std::false_type& )
+		transform extract_transform_impl( const KEY& k, const false_type& )
 		{
 			static_assert( key_has_slot< KEY, animation_slot::TFORM >::value == false, "key!");
 			static_assert( key_has_slot< KEY, animation_slot::SCALE >::value == false, "key!");
 			return extract_transform_pr_impl( k, 
-				std::integral_constant< bool, key_has_slot< KEY, animation_slot::POSITION >::value >(),
-				std::integral_constant< bool, key_has_slot< KEY, animation_slot::ROTATION >::value >() 
+				integral_constant< bool, key_has_slot< KEY, animation_slot::POSITION >::value >(),
+				integral_constant< bool, key_has_slot< KEY, animation_slot::ROTATION >::value >() 
 				);
 		}
@@ -165,5 +165,5 @@
 	mat4 extract_matrix( const KEY& k )
 	{
-		return detail::extract_matrix_impl( k, std::integral_constant< bool, key_has_slot< KEY, animation_slot::TFORM >::value >() );
+		return detail::extract_matrix_impl( k, integral_constant< bool, key_has_slot< KEY, animation_slot::TFORM >::value >() );
 	}
 
@@ -171,5 +171,5 @@
 	transform extract_transform( const KEY& k )
 	{
-		return detail::extract_transform_impl( k, std::integral_constant< bool, key_has_slot< KEY, animation_slot::TFORM >::value >() );
+		return detail::extract_transform_impl( k, integral_constant< bool, key_has_slot< KEY, animation_slot::TFORM >::value >() );
 	}
 
